library sso_request_engine;

import 'dart:typed_data';
import 'package:flutter/services.dart';

class SSORequestEngine {
  factory SSORequestEngine() =>_getInstance();
  static SSORequestEngine get instance => _getInstance();
  static SSORequestEngine _instance;
  SSORequestEngine._internal() {
    
  }
  static SSORequestEngine _getInstance() {
    if (_instance == null) {
      _instance = new SSORequestEngine._internal();
    }
    return _instance;
  }

  Future sendSSORequest(String serviceCmd, Uint8List buffer) async {
    try {
      Map value = {
        'serviceCmd': serviceCmd,
        'buffer': buffer
      };
      final channel = MethodChannel('sso/netChannel');
      Map response = await channel.invokeMethod('sendSSORequest', value);
      return response;
    } on PlatformException catch(e) {
      print('sendSSORequest failed: ${e.message}');
    } on MissingPluginException {
      print('sendSSORequest not implemented');
    }
  }
}